CreateReplicaDetails

class oci.nosql.models.CreateReplicaDetails(**kwargs)

Bases: object

Specifications for the new replica

Methods:

__init__(**kwargs)

Initializes a new CreateReplicaDetails object with values from keyword arguments.

Attributes:

compartment_id

Gets the compartment_id of this CreateReplicaDetails.

max_read_units

Gets the max_read_units of this CreateReplicaDetails.

max_write_units

Gets the max_write_units of this CreateReplicaDetails.

region

[Required] Gets the region of this CreateReplicaDetails.

__init__(**kwargs)

Initializes a new CreateReplicaDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • compartment_id (str) – The value to assign to the compartment_id property of this CreateReplicaDetails.

  • region (str) – The value to assign to the region property of this CreateReplicaDetails.

  • max_read_units (int) – The value to assign to the max_read_units property of this CreateReplicaDetails.

  • max_write_units (int) – The value to assign to the max_write_units property of this CreateReplicaDetails.

property compartment_id

Gets the compartment_id of this CreateReplicaDetails. The OCID of the table’s compartment. Required if the tableNameOrId path parameter is a table name. Optional if tableNameOrId is an OCID. If tableNameOrId is an OCID, and compartmentId is supplied, the latter must match the identified table’s compartmentId.

Returns

The compartment_id of this CreateReplicaDetails.

Return type

str

property max_read_units

Gets the max_read_units of this CreateReplicaDetails. Maximum sustained read throughput limit for the new replica table. If not specified, the local table’s read limit is used.

Returns

The max_read_units of this CreateReplicaDetails.

Return type

int

property max_write_units

Gets the max_write_units of this CreateReplicaDetails. Maximum sustained write throughput limit for the new replica table. If not specified, the local table’s write limit is used.

Returns

The max_write_units of this CreateReplicaDetails.

Return type

int

property region

[Required] Gets the region of this CreateReplicaDetails. Name of the remote region in standard OCI format, i.e. us-ashburn-1

Returns

The region of this CreateReplicaDetails.

Return type

str